import helpers.HorseGender;

public class Horse {
	
	private static int count = 0;
	
	private int id;
	private String name;
	private Gender gender;
	
	public Horse(String name){
		count++;
		this.id = count;
		this.name = name;
		this.gender = new Gelding();
	}
	public Horse(String name, HorseGender gender){
		count++;
		this.id = count;
		this.name = name;
		switch(gender){
			case STALLION:
				this.gender = new Stallion();
				break;
			case MARE:
				this.gender = new Mare();
				break;
			case GELDING:
				this.gender = new Gelding();
		}
	}
	
	//Gettery i settery atrybutw
	public static int getCount(){
		return count;
	}
	public int getId(){
		return this.id;
	}
	public String getName() {
		return this.name;
	}
	public void setName(String name){
		this.name = name;
	}
	
	//Metoda woana polimorficznie
	public void train(){
		System.out.println("Oglny trening konia " + getName() + ".");
	}
}
