import helpers.PartWithoutTheWholeException;

import java.util.Vector;


public class Rider {

	private Vector<Horse> horses;
	private Person person;
	
	public Rider(Person person) throws PartWithoutTheWholeException {
		if(person == null){
			throw new PartWithoutTheWholeException();
		}
		this.person = person;
		this.horses = new Vector<Horse>();
	}
	
	public Vector<Horse> getHorses(){
		return this.horses;
	}
	public void addHorse(Horse horse){
		this.horses.add(horse);
	}
	public void removeHorse(Horse horse){
		this.horses.remove(horse);
	}
	public boolean ridesHorse(Horse horse){
		return this.horses.contains(horse);
	}
	
	public boolean rideHorse(Horse horse){
		if(horse == null){
			System.out.println("Nie podano konia.");
			return false;
		}
		StringBuffer sb = new StringBuffer("Jedziec ");
		sb.append(this.person.getName() + " " + this.person.getSurname());
		if(this.ridesHorse(horse))
			sb.append(" odbywa jazd na koniu " + horse.getName() + ".");
			
		else
			sb.append(" nie jest jednym z dosiadajcych konia " + horse.getName() + ".");
	
		System.out.println(sb.toString());
		return true;
	}

}
