import helpers.PartWithoutTheWholeException;

import java.util.Vector;


public class Trainer {

	private Vector<Horse> horses;
	private Person person;
	
	public Trainer(Person person) {
		if(person == null)
			throw new PartWithoutTheWholeException();
		this.person = person;
		this.horses = new Vector<Horse>();
	}

	public Vector<Horse> getHorses(){
		return this.horses;
	}
	public void addHorse(Horse horse){
		this.horses.add(horse);
	}
	public void removeHorse(Horse horse){
		this.horses.remove(horse);
	}
	public boolean trainsHorse(Horse horse){
		return this.horses.contains(horse);
	}
		
	public boolean trainHorse(Horse horse){
		if(horse == null){
			System.out.println("Nie podano konia.");
			return false;
		}
		StringBuffer sb = new StringBuffer("Trener ");
		sb.append(this.person.getName() + " " + this.person.getSurname());
		if(this.trainsHorse(horse))
			sb.append(" prowadzi trening konia " + horse.getName() + ".");
			
		else
			sb.append(" nie trenuje konia " + horse.getName() + ".");
	
		System.out.println(sb.toString());
		return true;
	}
}
